AuthenticationTuple
Keywords: uk.ac.ic.doc.rodex.p2p.messages.applicationlayer.AuthenticationTuple class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.rodex.p2p.messages.applicationlayer
Class AuthenticationTuple

    java.lang.Object
      uk.ac.ic.doc.rodex.p2p.messages.applicationlayer.AuthenticationTuple

All Implemented Interfaces:
  PersistentObject

    public class AuthenticationTuple

extends java.lang.Object
implements PersistentObject

AuthenticationTuple.java
Represents authentication tuple

Author:
  Duc M Le dmle@doc.ic.ac.uk
  Created on April 18, 2006
  Department of Computing, Imperial College

Constructor Summary
`AuthenticationTuple(java.lang.String userName, java.lang.String encryptedPwd, java.lang.String encryption)` Creates a new instance of AuthenticationTuple

Method Summary
`java.lang.String` | `getEncryption()`
`PersistentKey` | `getKey()`
`java.lang.String` | `getPassword()`
`java.util.Map` | `getPersistentAttributes()`
`java.lang.String` | `getUserName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationTuple

    public AuthenticationTuple(java.lang.String userName,
                               java.lang.String encryptedPwd,
                               java.lang.String encryption)

  Creates a new instance of AuthenticationTuple

Method Detail

### getKey

    public PersistentKey getKey()

  Specified by:
    `getKey` in interface `PersistentObject`

### getPersistentAttributes

    public java.util.Map getPersistentAttributes()

  Specified by:
    `getPersistentAttributes` in interface `PersistentObject`

### getUserName

    public java.lang.String getUserName()

### getPassword

    public java.lang.String getPassword()

### getEncryption

    public java.lang.String getEncryption()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD